Subject: bug#28023: fix make-temp-file race on local host

From: Michael Albinus <[email-masked]>
Date: Sat, 12 Aug 2017 19:51:12 +0200

Paul Eggert <[email-masked]> writes:

Hi Paul,

> Thanks. Unfortunately this caused "make check" to fail on Fedora 26. I
> installed the attached patch, which causes the test to pass. Can you
> please look over it to see whether it makes sense, and look for
> similar problems elsewhere? (I'm not that familiar with Tramp.)

The patch is OK. Sorry for the trouble, I've searched for
"-write-region" in the whole lisp directory for such cases, but I must
have missed jka-compr.el.

> Thanks.

Best regards, Michael.